Package weka.core.pmml.jaxbbindings

# Class ParamMatrix

java.lang.Object
weka.core.pmml.jaxbbindings.ParamMatrix

public class ParamMatrix extends Object

Java class for ParamMatrix element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="ParamMatrix">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}PCell" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamMatrix()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPCell(PCell cell)`
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `List<PCell>`
  `getPCell()`
  Gets the value of the pCell property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParamMatrix

    public ParamMatrix()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getPCell

    public List<PCell> getPCell()
    Gets the value of the pCell property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the pCell property.

    For example, to add a new item, do as follows:

            getPCell().add(newItem);

    Objects of the following type(s) are allowed in the list `PCell`

  - ### addPCell

    public void addPCell(PCell cell)